Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.document
Class NodeSetDocumentData

    java.lang.Object
      |
      +--com.bea.document.DocumentData
            |
            +--com.bea.document.NodeSetDocumentData

public class NodeSetDocumentData
extends DocumentData

Represents a set of nodes (e.g. elements, text, etc.). Objects of this class may be returned by IDocument.getDocumentData() or may be created for use in IDocument.addDocumentData(String, DocumentData).
For example, the string "//rootElement" will return a NodeSetDocumentData object. This object may have zero or one nodes(because XML documents have a single root element).

Author:
  Copyright © 2000, 2001 BEA Systems, Inc. All Rights Reserved.
See Also:
  IDocument.getDocumentData(String), IDocument.addDocumentData(String, DocumentData)

Field Summary
`protected boolean` | `m_verbose`

Fields inherited from class com.bea.document.DocumentData
`m_xobj, TYPE_BOOLEAN, TYPE_NODESET, TYPE_NULL, TYPE_NUMBER, TYPE_RTREEFRAG, TYPE_STRING, TYPE_UNKNOWN`

Constructor Summary
`NodeSetDocumentData()`
`NodeSetDocumentData(org.w3c.dom.Node value)`
`NodeSetDocumentData(org.w3c.dom.Node[] value)`
`NodeSetDocumentData(org.w3c.dom.traversal.NodeIterator value)`

Methods inherited from class com.bea.document.DocumentData
`createDocumentData, dump, dump, equals, getType, greaterThan, greaterThanOrEqual, lessThan, lessThanOrEqual, toBoolean, toNodeIterator, toNodeSet, toNumber, toObject, toRtree, toStr, toXML`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### m_verbose

    protected transient boolean m_verbose

Constructor Detail

### NodeSetDocumentData

    public NodeSetDocumentData()

### NodeSetDocumentData

    public NodeSetDocumentData(org.w3c.dom.Node value)

### NodeSetDocumentData

    public NodeSetDocumentData(org.w3c.dom.traversal.NodeIterator value)

### NodeSetDocumentData

    public NodeSetDocumentData(org.w3c.dom.Node[] value)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Integration (WLI)